<?PHP
declare(strict_types = 1);

/**
 * Exception thrown in case a search result is empty and an appropriate response is to be given as per a catch statement.
 */
final class MDSearchResultIsEmptyToCatch extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'There is no entity to be shown here (id: <b>' . $this->getMessage() . '</b>).';

    }
}
